## ocaml-uri 4.4.0

=== Makefile ===
.PHONY: build clean test install uninstall doc

build:
	dune build @install 

test:
	dune runtest

install:
	dune install

uninstall:
	dune uninstall

clean:
	dune clean

doc:
	dune build @doc

## ocaml-uri 4.2.0

=== debian/changelog ===
ocaml-uri (4.2.0-1) unstable; urgency=medium

  * Initial release (Closes: #1000951)

 -- Stéphane Glondu <glondu@debian.org>  Wed, 01 Dec 2021 09:35:24 +0100

=== debian/control ===
Source: ocaml-uri
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders:
 Stéphane Glondu <glondu@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 ocaml-nox,
 ocaml-dune,
 opam-installer,
 libounit-ocaml-dev,
 libppx-sexp-conv-ocaml-dev,
 libstringext-ocaml-dev,
 libangstrom-ocaml-dev,
 libsexplib0-ocaml-dev,
 dh-ocaml
Standards-Version: 4.6.0
Rules-Requires-Root: no
Homepage: https://github.com/mirage/ocaml-uri
Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-uri.git
Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-uri

Package: liburi-ocaml-dev
Architecture: any
Depends:
 ${shlibs:Depends},
 ${ocaml:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: RFC3986 URI/URL parsing library in OCaml (dev)
 This is an OCaml implementation of the RFC3986 specification for
 parsing URI or URLs.
 .
 This package contains development files.

Package: liburi-ocaml
Architecture: any
Depends:
 ${shlibs:Depends},
 ${ocaml:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Suggests: ocaml-findlib
Description: RFC3986 URI/URL parsing library in OCaml (runtime)
 This is an OCaml implementation of the RFC3986 specification for
 parsing URI or URLs.
 .
 This package contains the shared runtime libraries.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

DESTDIR=$(CURDIR)/debian/tmp

include /usr/share/ocaml/ocamlvars.mk

export OCAMLFIND_DESTDIR := $(DESTDIR)/$(OCAML_STDLIB_DIR)

%:
	dh $@ --with ocaml

override_dh_auto_clean:
	dune clean
	rm -rf _tmp

override_dh_auto_build:
	dune build -p uri
	opam-installer --prefix=$(CURDIR)/_tmp/usr --libdir=..$(OCAML_STDLIB_DIR) uri.install
	OCAMLPATH=$(CURDIR)/_tmp$(OCAML_STDLIB_DIR) dune build -p uri-sexp
	opam-installer --prefix=$(CURDIR)/_tmp/usr --libdir=..$(OCAML_STDLIB_DIR) uri-sexp.install

override_dh_auto_test:
	dune runtest -p uri
	OCAMLPATH=$(CURDIR)/_tmp$(OCAML_STDLIB_DIR) dune runtest -p uri-sexp

override_dh_auto_install:
	rm -rf debian/tmp
	cp -a $(CURDIR)/_tmp debian/tmp
	for u in uri-sexp; do rm -rf $(DESTDIR)/usr/doc/$$u; done
	rm -f debian/tmp/usr/doc/*/LICENSE*

=== debian/watch ===
version=4
https://github.com/mirage/ocaml-uri/releases .*-v?([\d\.]+)\.tbz

## ocaml-uri 4.4.0

=== debian/changelog ===
ocaml-uri (4.4.0-1build6) questing; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 19 Jun 2025 09:20:13 +0200

ocaml-uri (4.4.0-1build5) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 30 Jan 2025 22:05:57 +0100

ocaml-uri (4.4.0-1build4) oracular; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 24 Sep 2024 16:52:40 +0200

ocaml-uri (4.4.0-1build3) oracular; urgency=medium

  * No-change rebuild for OCaml ABIs.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 06 Sep 2024 13:43:43 +0200

ocaml-uri (4.4.0-1build2) oracular; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 09 Aug 2024 14:47:18 +0200

ocaml-uri (4.4.0-1build1) noble; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 17 Feb 2024 01:21:54 +0100

ocaml-uri (4.4.0-1) unstable; urgency=medium

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Sat, 07 Oct 2023 09:53:23 +0200

ocaml-uri (4.2.0-3) unstable; urgency=medium

  * Mark <!nocheck> build-dependencies
  * Depend on ocaml instead of transitional ocaml-nox

 -- Stéphane Glondu <glondu@debian.org>  Sun, 10 Sep 2023 05:59:00 +0200

ocaml-uri (4.2.0-2) unstable; urgency=medium

  * Use ocaml_dune DH buildsystem
  * Bump Standards-Version to 4.6.2

 -- Stéphane Glondu <glondu@debian.org>  Sun, 06 Aug 2023 10:03:43 +0200

=== debian/control ===
--- 
+++ 
@@ -6,16 +6,15 @@
  Stéphane Glondu <glondu@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
- ocaml-nox,
+ ocaml,
  ocaml-dune,
- opam-installer,
- libounit-ocaml-dev,
+ libounit-ocaml-dev <!nocheck>,
  libppx-sexp-conv-ocaml-dev,
  libstringext-ocaml-dev,
  libangstrom-ocaml-dev,
  libsexplib0-ocaml-dev,
- dh-ocaml
-Standards-Version: 4.6.0
+ dh-ocaml (>= 1.2.2)
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/mirage/ocaml-uri
 Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-uri.git
